## org.apache.poi.xslf.usermodel
Enum LineDecoration

    java.lang.Object
      java.lang.Enum<LineDecoration>
          org.apache.poi.xslf.usermodel.LineDecoration

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LineDecoration>

    public enum LineDecoration

extends java.lang.Enum<LineDecoration>

Represents the shape decoration that appears at the ends of lines.

Enum Constant Summary
`ARROW`
`DIAMOND`
`NONE`
`OVAL`
`STEALTH`
`TRIANGLE`

Method Summary
`static LineDecoration` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LineDecoration[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final LineDecoration NONE

### TRIANGLE

    public static final LineDecoration TRIANGLE

### STEALTH

    public static final LineDecoration STEALTH

### DIAMOND

    public static final LineDecoration DIAMOND

### OVAL

    public static final LineDecoration OVAL

### ARROW

    public static final LineDecoration ARROW

Method Detail

### values

    public static LineDecoration[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LineDecoration c : LineDecoration.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LineDecoration valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.